#ifndef _mosaic_window_h
#define _mosaic_window_h

#ifdef __cplusplus                      /* for C++ */
extern "C" {   /* do not leave open across includes */
#endif

/*
 * Initialization at first call takes some additional time.
 * To link a library: -L/path_to_library -R/path_to_library -lmMosaic
 *
 * Supported:
 * Tables.
 * Frames (to some extent).
 * In case of frames care must be taken that <HEAD> tag (if any) 
 * have appropriate </HEAD> end tag before the first <FRAMESET> tag or
 * mMosaic will not find frameset.
 *
 * NOT Supported:
 * hidden INPUT values in forms.
 * INPUT type="image".
*/

extern void mosaic_window(char * doc,     /* URL (http://whatever or local file) */
			  int x, int y,         /* coordinates of window origin */
			  int width, int height,/* window parameters */
			  Display * dpy,        /* your dpy */
			  Colormap cmap, /* your colormap */
			  Window parent  /* parent window,
					    if 0 then mosaic window will be top-level */
			  );

#ifdef __cplusplus                      /* for C++ */
	   }
#endif

#endif /* _mosaic_window_h */
/* EOF */
